Bug 207225 - www/drupal7: Update to 7.42
Summary: www/drupal7: Update to 7.42
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wen Heping
URL: https://www.drupal.org/drupal-7.42-re...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-15 19:18 UTC by Simon Wright
Modified: 2016-02-25 15:45 UTC (History)
3 users (show)

See Also:


Attachments
Patch to update 7.41 to 7.42 (1.44 KB, patch)
2016-02-15 19:18 UTC, Simon Wright
koobs: maintainer-approval+
Details | Diff
Drupal 7.42 build log (18.13 KB, text/plain)
2016-02-15 19:27 UTC, Simon Wright
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Wright 2016-02-15 19:18:45 UTC
Created attachment 167046 [details]
Patch to update 7.41 to 7.42

Updates Drupal 7.41 to 7.42.

https://www.drupal.org/drupal-7.42-release-notes

Release notes

Maintenance release of the Drupal 7 series. Includes bug fixes and small API/feature improvements only (no major, non-backwards-compatible new functionality).

No security fixes are included in this release.

No changes have been made to the robots.txt or default settings.php files in this release, so upgrading custom versions of those files is not necessary.

There is one change to the .htaccess and web.config files in this release:

    A change to block Composer-related files (in particular, composer.json and composer.lock) from being viewed by website visitors (see #2392153).

Upgrading custom versions of .htaccess and web.config to incorporate this change is recommended (especially if your site's codebase is built using Composer), but not required.

Known issues:

    This release breaks autocomplete functionality on certain unusual server configurations that block direct access to Drupal's index.php file. See #2599326-30: Autocomplete function fails when index.html exist - After upgrading to Drupal 7.39 and chaos tools 1.8 and subsequent comments for further discussion and possible solutions.

    Sites using the Client-side hierarchical select module may see PHP notices after updating to this release (see the issue for further details). The notices should be harmless but can be fixed by updating to a version of Client-side hierarchical select newer than the 7.x-1.0-beta4 release (for example, to the latest 7.x-1.x-dev version).
Comment 1 Simon Wright 2016-02-15 19:27:55 UTC
Created attachment 167047 [details]
Drupal 7.42 build log
Comment 2 commit-hook freebsd_committer 2016-02-16 02:30:44 UTC
A commit references this bug:

Author: wen
Date: Tue Feb 16 02:30:03 UTC 2016
New revision: 408970
URL: https://svnweb.freebsd.org/changeset/ports/408970

Log:
  - Update to 7.42

  PR:		207225
  Submitted by:	simon.wright@gmx.net(maintainer)

Changes:
  head/www/drupal7/Makefile
  head/www/drupal7/distinfo
  head/www/drupal7/pkg-plist
Comment 3 Wen Heping freebsd_committer 2016-02-16 02:32:36 UTC
I am waiting for drupal8 ...

wen
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-16 05:55:05 UTC
Triage post resolution.

Release notes stipulate no security related changes
Comment 5 Simon Wright 2016-02-16 14:41:50 UTC
Thanks Wen! Drupal 8 is on my list but I have lots of reading to do first. Plus migrate a production 6 site to 7. And work out why I can't run 8 at all on my test box :)
Comment 6 commit-hook freebsd_committer 2016-02-25 15:45:12 UTC
A commit references this bug:

Author: feld
Date: Thu Feb 25 15:44:35 UTC 2016
New revision: 409529
URL: https://svnweb.freebsd.org/changeset/ports/409529

Log:
  MFH: r408970

  - Update to 7.42

  PR:		207225
  Submitted by:	simon.wright@gmx.net(maintainer)
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/drupal7/Makefile
  branches/2016Q1/www/drupal7/distinfo
  branches/2016Q1/www/drupal7/pkg-plist